Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Daily UK household financial stress scores derived from activity in UK personal finance communities.
{ "sentiment": [ { "date": "2025-03-28", "stress_score": 0.42, "post_count": 187 } ] }
Authorization
Authorization: Bearer <your-jwt-token>
365
Show Object properties
curl "https://api.consumersignals.io/api/reddit-sentiment?limit=90" \ -H "Authorization: Bearer YOUR_JWT_TOKEN"
import requests response = requests.get( "https://api.consumersignals.io/api/reddit-sentiment", params={"limit": 90}, headers={"Authorization": "Bearer YOUR_JWT_TOKEN"} ) data = response.json()
const response = await fetch( "https://api.consumersignals.io/api/reddit-sentiment?limit=90", { headers: { Authorization: "Bearer YOUR_JWT_TOKEN", }, } ); const data = await response.json();